Package org.eclipse.birt.chart.device

# Interface ITextRenderer

All Superinterfaces:
  `IConstants`

All Known Implementing Classes:
  `TextRendererAdapter`

public interface ITextRenderer extends IConstants
Provides convenience methods for rendering rotated text with configurable attributes on a graphics context.

## Field Summary

### Fields inherited from interface org.eclipse.birt.chart.computation.IConstants

`ABOVE, ANCILLARY_AXIS, ANCILLARY_BASE, ARRAY, AUTO, AVERAGE, AXIS, BACKWARD, BASE, BASE_AXIS, BELOW, BIG_NUMBER_PRIMITIVE_ARRAY, BOOLEAN, BOTTOM, CENTER, COLLECTION, DATE_TIME, DESIGN_TIME, EMPTY_STRING, EQUAL, FORWARD, HORIZONTAL, INSIDE, LABELS, LEFT, LEGEND_ENTRY, LEGEND_GROUP_NAME, LEGEND_MINSLICE_ENTRY, LEGEND_SEPERATOR, LESS, LINE_EXPAND_DOUBLE_SIZE, LINE_EXPAND_SIZE, LINEAR, LOG_10, LOGARITHMIC, MAJOR, MAX, MIN, MINOR, MORE, NON_PRIMITIVE_ARRAY, NULL_STRING, NUMBER_PRIMITIVE_ARRAY, NUMERICAL, ONE_SPACE, ORTHOGONAL, ORTHOGONAL_AXIS, OTHER, OUTSIDE, PERCENT, POSITION_MASK, POSITION_MOVE_ABOVE, POSITION_MOVE_BELOW, POSITION_MOVE_LEFT, POSITION_MOVE_RIGHT, PRIMITIVE_ARRAY, RIGHT, RUN_TIME, SOME_NULL, TEXT, THREE_D, TICK_ABOVE, TICK_ACROSS, TICK_BELOW, TICK_LEFT, TICK_NONE, TICK_RIGHT, TICK_SIDE1, TICK_SIDE2, TICK_SIZE, TOP, TWO_5_D, TWO_D, UNDEFINED, UNDEFINED_STRING, USER_INTERFACE, VALUE, VERTICAL`

## Method Summary

Modifier and Type
Method
Description
`void`
`renderShadowAtLocation(IPrimitiveRenderer idr, int iLabelPosition, Location lo, Label la)`
This method renders the 'shadow' at an offset from the text 'rotated rectangle' subsequently rendered.
`void`
`renderTextAtLocation(IPrimitiveRenderer ipr, int iLabelPosition, Location lo, Label la)`
`void`
`renderTextInBlock(IDeviceRenderer idr, Bounds boBlock, TextAlignment taBlock, Label la)`

## Method Details

### renderShadowAtLocation

void renderShadowAtLocation(IPrimitiveRenderer idr, int iLabelPosition, Location lo, Label la) throws ChartException
This method renders the 'shadow' at an offset from the text 'rotated rectangle' subsequently rendered.

Parameters:
  `ipr` -
  `iLabelPosition` - The position of the label w.r.t. the location specified by 'lo'
  `lo` - The location (specified as a 2d point) where the text is to be rendered
  `la` - The chart model structure containing the encapsulated text (and attributes) to be rendered
Throws:
  `ChartException`

### renderTextAtLocation

void renderTextAtLocation(IPrimitiveRenderer ipr, int iLabelPosition, Location lo, Label la) throws ChartException

Parameters:
  `ipr` -
  `iLabelPosition` - IConstants. LEFT, RIGHT, ABOVE or BELOW
  `lo` - POINT WHERE THE CORNER OF THE ROTATED RECTANGLE (OR EDGE CENTERED) IS RENDERED
  `la` -
Throws:
  `ChartException`

### renderTextInBlock

void renderTextInBlock(IDeviceRenderer idr, Bounds boBlock, TextAlignment taBlock, Label la) throws ChartException

Parameters:
  `idr` -
  `boBlock` -
  `taBlock` -
  `la` -
Throws:
  `ChartException`